body {
  font-family: Arial, Helvetica, sans-serif;
  overflow: hidden;
}

.material-symbols-outlined {
  font-variation-settings: "FILL" 0, "wght" 400, "GRAD" 0, "opsz" 48;
}

#unity-container {
  width: 100vw;
  height: 100vh;
  position: absolute;
  top: 0;
  left: 0;
}
#enterxr {
  position: absolute;
  bottom: 0;
  right: 0;
  margin: 1vw;
  height: 5vw;
  width: 5vw;
  z-index: 3;
  background-color: #00000000 !important;
  border: none;
  display: flex;
  justify-content: center;
  align-items: center;
}
#enterxr:hover {
  filter: brightness(0.8);
  cursor: pointer;
}
#enterxr-img {
  height: 100%;
  width: 100%;
  object-fit: contain;
}
#unity-progress-bar-empty {
  position: relative;
  height: 5vh;
  width: 50vw;
  border-radius: 50px;
  background-color: #aac6d9;
  overflow: hidden;
}

#unity-progress-bar-full {
  height: 100%;
  background-color: #6291c5;
}

#bg-image {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
}
#intro-canvas {
  width: 50vh;
  height: 50vh;
  margin-bottom: 5rem;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  position: relative;
}
#logo {
  width: auto;
  height: 50vh;
  z-index: 1;
  margin-left: 5vh;
}
#intro-canvas-img {
  width: auto;
  height: 100%;
  margin-right: 25%;
  object-fit: contain;
}
#name {
  position: absolute;
  bottom: 5vh;
  left: 50%;
  transform: translateX(-50%);
  z-index: 1;
  width: 50%;
  height: 10%;
  text-align: center;
  font-size: 2vh;
  border: none;
  font-family: "Open Sans";
  color: #024c6f;
}
#initial-canvas {
  position: absolute;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  display: flex !important;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  z-index: 1;
}
#loading-text {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  color: #004c6f;
  font-family: "Open Sans";
  font-weight: bold;
}
#unity-canvas-container {
  position: absolute !important;
  z-index: 0;
}
#init-button {
  position: absolute;
  bottom: -2.5vh;
  height: 5vh;
  left: 50%;
  transform: translateX(-50%);
  width: 15vh;
  background-color: #4a8dc5;
  border: none;
  border-radius: 5rem;
  color: #024c6f;
  font-family: "Open Sans";
  font-weight: bold;
  font-size: 2vh;
}
#init-button:hover {
  background-color: #55a5e6;
}
.invisible {
  opacity: 0 !important;
  pointer-events: none !important;
}
.hidden {
  display: none !important;
}
#footer-text {
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 5vh;
  font-size: 1vw;
  background-color: #004c6f;
  color: #fff;
  font-family: "Open Sans";
  font-weight: bold;
  display: flex;
  justify-content: center;
  align-items: center;
}
#password-field {
  z-index: 1;
  width: 30vw;
  height: 5vh;
  text-align: center;
  font-size: 2vh;
  border: none;
  font-family: "Open Sans";
  color: #024c6f;
  border-radius: 5rem;
}
#enter-password-button {
  z-index: 1;
  height: 5vh;
  background: 0;
  border: none;
  width: 30vw;
  display: flex;
  justify-content: end;
  margin-top: -5vh;
  pointer-events: none;
}
#enter-password-button-img {
  height: 100%;
  width: auto;
  object-fit: contain;
  pointer-events: none;
  font-size: 5vh;
  cursor: pointer;
  color: #aaaaaa;
}
#important-info {
  position: absolute;
  top: 0;
  right: 0;
  width: 20vw;
  height: 10vw;
  background-color: #c3c3c3;
  z-index: 1;
  padding: 1vw;
  margin: 1vw;
  font-size: 0.8vw;
  display: flex;
  flex-direction: column;
  justify-content: center;
  border-radius: 1vw;
}

p {
  margin: 3px;
}

#warning {
  color: #ff0000;
  font-size: 3vw;
  position: absolute;
  top: 0;
  right: 0;
  margin: 1vw;
}

.active {
  pointer-events: all !important;
  color: #000000 !important;
}

.dim-on-hover:hover {
  filter: brightness(0.8);
}
